# PYTHUBE 

## DEFINITION

Ce projet a pour but d'automatiser le téléchargement d'une playlist Youtube à partir de l'URL de celle-ci.
Une fois le téléchargement éffectué, les fichiers sont convertis en MP3 et déplacés dans un dossier.

## UTILISATION

- Installation des dépendances:
```bash
python3 -m pip install -r requirements.txt
```

- Execution du script:
Pour télécharger une vidéo:
```bash
python3 pyDownload.py
```
Pour convertir une vidéo en MP3:
```bash
python3 pyMp3Converter.py
```
Pour télécharger une playlist et la convertir en MP3:
```bash
python3 pyPlaylistMaker.py
```

## WORKFLOW

- Saisir l'URL de la playlist à télécharger
- Saisir le nom du dossier de destination
- Attendre l'arrivée et la conversion des vidéos